Bug 10311 - ping never times out in certain cases
ping never times out in certain cases
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: netkit-base (Show other bugs)
6.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-22 23:15 EST by tla
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-23 06:09:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tla 2000-03-22 23:15:38 EST
Under certain conditions when a machine is unreachable, I can execute

ping -c 1 <IP>

or

ping -w 10 <IP>

and the ping attempt will never time out, and there is no way to make it
time out.

I have, sadly, not found the exact conditions under which this is true, but
it can be seen if you try to ping the address 18.208.0.44 (which has no
computer answering to it.)

Oddly, the ping on redhat 5.2 does not have this problem with -c, despite
the unavailability of the -w option.

It would be nice to get the -w option working in 6.1 or 6.2.
Comment 1 Jeff Johnson 2000-03-23 06:09:59 EST
This works for me using the ping in iputils-20000121-1:

bash$ rpm -qf /bin/ping
iputils-20000121-1
bash$ /bin/ping -c 1 18.208.0.44
PING 18.208.0.44 (18.208.0.44) from 207.175.42.132 : 56(84) bytes of data.

--- 18.208.0.44 ping statistics ---
1 packets transmitted, 0 packets received, 100% packet loss
bash$ /bin/ping -w 1 18.208.0.44
PING 18.208.0.44 (18.208.0.44) from 207.175.42.132 : 56(84) bytes of data.

--- 18.208.0.44 ping statistics ---
2 packets transmitted, 0 packets received, 100% packet loss
Comment 2 tla 2000-03-23 11:13:59 EST
There is not a package with the substring iputils on my install CD.  Where can
it be found?

Note You need to log in before you can comment on or make changes to this bug.